Safe Haskell | Safe

TypeFamilies2

Synopsis

- data W
- type family Foo a
- data family Bar a

# Documentation

data W #

Exported type

Instances

data Bar W # | Shown because BarX is still exported despite Z being hidden
Instance details data Bar W = BarX Z
type Foo W # |
Instance details type Foo W

type family Foo a #

Exported type family

Instances

type Foo W # |
Instance details type Foo W
type Foo X # |
Instance details type Foo X = Y

data family Bar a #

Exported data family

Instances

data Bar W # | Shown because BarX is still exported despite Z being hidden
Instance details data Bar W = BarX Z
data Bar Y # |
Instance details data Bar Y